Bug 1270837 - Versions of some libs differ when applying the patch before/after installation
Versions of some libs differ when applying the patch before/after installation
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Productization (Show other bugs)
JON 3.3.4
Unspecified Unspecified
unspecified Severity urgent
: ER02
: JON 3.3.4
Assigned To: Simeon Pinder
Filip Brychta
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 09:35 EDT by Filip Brychta
Modified: 2015-10-29 11:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-29 11:54:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2015-10-12 09:35:38 EDT
Description of problem:
There are two installations:
a) - apply the patch and then install JON
b) - install JON and then apply the patch

versions of all libs in jon server dir should be the same for both scenarios but some of them are not the same.

Version-Release number of selected component (if applicable):
JON3.3.4.ER01

How reproducible:
Always

Steps to Reproduce:
1. prepare two installations (following scenario a) and b))
2. compare md5sums of files in jon-server-3.3.0.GA dirs in first installation with relevant dirs from second installation

Actual results:
Installation 'a' contains:
/home/hudson/jon-server-3.3.0.GA/rhq-storage/lib/apache-cassandra-1.2.18-jboss-2.jar e441266aea0030b2930ca5a73bba637e
/home/hudson/jon-server-3.3.0.GA/rhq-storage/lib/apache-cassandra-clientutil-1.2.18-jboss-2.jar deb528b6c064491af5ea85761ffb3794
/home/hudson/jon-server-3.3.0.GA/rhq-storage/lib/apache-cassandra-thrift-1.2.18-jboss-2.jar bdf339dc4fc7c507a6b8cf557a01ed2b

but installation 'b' contains:
/home/hudson/jon-server-3.3.0.GA/rhq-storage/lib/apache-cassandra-1.2.18-jboss-1.jar 392102929e1d55cacc26897e3a23fcc7
/home/hudson/jon-server-3.3.0.GA/rhq-storage/lib/apache-cassandra-clientutil-1.2.18-jboss-1.jar 53b622093dbe2fb0bef7c6e02a264c6f
/home/hudson/jon-server-3.3.0.GA/rhq-storage/lib/apache-cassandra-thrift-1.2.18-jboss-1.jar 9cd63bd6d73ba3f5aabdc7d85dce7688




Expected results:
No differences
Comment 2 Simeon Pinder 2015-10-15 01:22:36 EDT
Moving to ON_QA as available to test with the following build:
https://brewweb.devel.redhat.com//buildinfo?buildID=461043

 *Note: jon-server-patch-3.3.0.GA.zip maps to ER02 build of
 jon-server-3.3.0.GA-update-04.zip.
Comment 3 Filip Brychta 2015-10-15 08:07:05 EDT
Verified on:
Version :	
3.3.0.GA Update 04
Build Number :	
e9ed05b:aa79ebd

Note You need to log in before you can comment on or make changes to this bug.